Subject: Re: FVWM: fvwm2.42: race on module-death still here

From: [email-masked]
Date: Wed, 15 May 1996 15:29:13 -0400

Chuck Hines writes:
>Well, you could try forcing it to coredump (or attaching a debugger,
>which I can tell you is sometimes a pain - you may want to do it from
>another virtual terminal) and see where it is (stack trace).  Or you
>could try using the linux 'strace' (I think that's the one) facitlity
>that shows system calls for a running process - this might indicate
>what's eating all the cpu.
>
>If you can get a general location, that would be a good start.

Okie doke, here's a strace (notice a pattern?) with tkgoodstuff running:

select(256, [3 9 13], [12], NULL, NULL) = 1 (out [12])
write(12, "\377\377\377\377\0\4\0\0\t\0\0\000"..., 36) = -1 EAGAIN (Try again)
ioctl(3, FIONREAD, [0])                 = 0
wait4(-1, NULL, WNOHANG, NULL)          = 0
select(256, [3 9 13], [12], NULL, NULL) = 1 (out [12])
write(12, "\377\377\377\377\0\4\0\0\t\0\0\000"..., 36) = -1 EAGAIN (Try again)
ioctl(3, FIONREAD, [0])                 = 0
wait4(-1, NULL, WNOHANG, NULL)          = 0
select(256, [3 9 13], [12], NULL, NULL) = 1 (out [12])
write(12, "\377\377\377\377\0\4\0\0\t\0\0\000"..., 36) = -1 EAGAIN (Try again)
ioctl(3, FIONREAD, [0])                 = 0
wait4(-1, NULL, WNOHANG, NULL)          = 0
select(256, [3 9 13], [12], NULL, NULL) = 1 (out [12])

(etc.)

When I kill tkgoodstuff, it changes to this:

select(256, [3 13], [12], NULL, NULL)   = 1 (out [12])
write(12, "\377\377\377\377\0\4\0\0\t\0\0\000"..., 36) = -1 EAGAIN (Try again)
ioctl(3, FIONREAD, [0])                 = 0
wait4(-1, NULL, WNOHANG, NULL)          = -1 ECHILD (No child processes)
select(256, [3 13], [12], NULL, NULL)   = 1 (out [12])
write(12, "\377\377\377\377\0\4\0\0\t\0\0\000"..., 36) = -1 EAGAIN (Try again)
ioctl(3, FIONREAD, [0])                 = 0
wait4(-1, NULL, WNOHANG, NULL)          = -1 ECHILD (No child processes)
select(256, [3 13], [12], NULL, NULL)   = 1 (out [12])
write(12, "\377\377\377\377\0\4\0\0\t\0\0\000"..., 36) = -1 EAGAIN (Try again)
ioctl(3, FIONREAD, [0])                 = 0
wait4(-1, NULL, WNOHANG, NULL)          = -1 ECHILD (No child processes)
select(256, [3 13], [12], NULL, NULL)   = 1 (out [12])

(etc.)

Mark
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].